# NRAO Archive and Pipeline Processing Interface

Detailed documentation is available [on our Confluence page](https://open-confluence.nrao.edu/pages/viewpage.action?pageId=2491749).

## Overview

The NRAO archive system allows people to download raw data and advanced SRDP
radio astronomical observation data products made using NRAO-affiliated instruments: 
[The Very Large Array (VLA)](https://science.nrao.edu/facilities/vla), 
[the Very Long Baseline Array (VLBA)](https://science.nrao.edu/facilities/vlba),
[the Atacama Large Millimeter Array (ALMA)](http://www.almaobservatory.org/en/home/) 
as well as the [the Green Bank Telescope (GBT)](http://greenbankobservatory.org/).

## Components

This system has several subsystems which have their own subsystems. The two primary systems are:

* The **archive** which stores data products
* The **workspace** system which allows users to retrieve data products and transform them into other products

The pieces are broken down into applications (both web-based and command-line), RESTful services and shared libraries.

More details can be had by looking at our Confluence documentation.
