from channels.amqp_helpers import workflow_events, CONN, WorkflowEventChannel
from workspaces.schema import WorkflowEvent, WorkflowEventType


def test_workflow_event_sending():
    workflow_events.connect(profile='local')
    channel = workflow_events.chan.connection.channel()
    queue = channel.queue_declare(queue='', exclusive=True).method.queue
    channel.queue_bind(queue=queue, exchange=WorkflowEventChannel.EXCHANGE, routing_key='#')
    workflow_events.send(WorkflowEvent('name', 'id', WorkflowEventType.OTHER, '2020-01-01', 'Nothing to log'))
    method, header, body = channel.basic_get(queue)
    if method:
        print(body)
